summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorMichael Lass2018-07-24 19:11:28 +0200
committerMichael Lass2018-07-24 19:12:58 +0200
commit92b8bf68ed92e168b49feec56352c60493ee4816 (patch)
tree1ac81dfb0770eddabd2125553bd81e373442eaac /PKGBUILD
parent36e0ad26caf482931e041ddc6733fdb146eef71e (diff)
downloadaur-fritzing.tar.gz
Allow rebuilding with $srcdir from last build
If $srcdir still contains the results from the last build there are two issues: - The patch does not cleanly apply since to-be-created files already exist - partsdb cannot be moved because target already exist Work around these issues to allow a simple rebuild without manually cleaning up before. No bump of pkgrel because resulting package is not affected.
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD4
1 files changed, 2 insertions, 2 deletions
diff --git a/PKGBUILD b/PKGBUILD
index 2df7a21186c..c298ac369ee 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -28,10 +28,10 @@ sha256sums=('2475a95aad2c1536eef3fdb72665c5c16590644b45bd110a0cde223c916625b8'
prepare() {
mkdir -p "$srcdir"/fritzing-app-${pkgver}/parts
- mv "$srcdir"/fritzing-parts-${partsrev}/* "$srcdir"/fritzing-app-${pkgver}/parts
+ cp -r "$srcdir"/fritzing-parts-${partsrev}/* "$srcdir"/fritzing-app-${pkgver}/parts/
cd "$srcdir"/fritzing-app-${pkgver}
- patch -p1 < "$srcdir"/0001-Squashed-commit-of-the-following.patch
+ patch -N -p1 < "$srcdir"/0001-Squashed-commit-of-the-following.patch || true
patch -p0 < "$srcdir"/fritzing.desktop.patch
}